Bug 728590 - [abrt] xterm-261-2.fc14: __libc_free: Process /usr/bin/xterm was killed by signal 11 (SIGSEGV)
[abrt] xterm-261-2.fc14: __libc_free: Process /usr/bin/xterm was killed by si...
Product: Fedora
Classification: Fedora
Component: xterm (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-08-05 13:52 EDT by Arnaud Gomes-do-Vale
Modified: 2012-08-16 10:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-16 10:46:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (8.43 KB, text/plain)
2011-08-05 13:52 EDT, Arnaud Gomes-do-Vale
no flags Details

  None (edit)
Description Arnaud Gomes-do-Vale 2011-08-05 13:52:41 EDT
abrt version: 1.1.18
architecture: x86_64
Attached file: backtrace, 8634 bytes
cmdline: xterm -geometry 164x64+60+30
comment: The crash is not 100% reproducible, far from it, but it happens from time to time. As far as I can tell it only happens after enabling UTF-8.
component: xterm
Attached file: coredump, 3149824 bytes
crash_function: __libc_free
executable: /usr/bin/xterm
package: xterm-261-2.fc14
rating: 4
reason: Process /usr/bin/xterm was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1312566338
uid: 500

How to reproduce
1. open non-UTF-8 xterm
2. cat UTF-8-encoded-text-file
3. enable UTF-8 in xterm menu
Comment 1 Arnaud Gomes-do-Vale 2011-08-05 13:52:44 EDT
Created attachment 516931 [details]
File: backtrace
Comment 2 Miroslav Lichvar 2011-08-08 07:56:47 EDT
Can you please try the latest xterm version and see if you can still reproduce the crash?

F14 scratch build of xterm-271 is here:
Comment 3 Fedora End Of Life 2012-08-16 10:46:46 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 

Note You need to log in before you can comment on or make changes to this bug.